# 地皮参数

## 一、介绍 <a href="#introduction" id="introduction"></a>

你可以通过 `/plot set` 指令设置地皮参数，包括：

`/plot [[地皮世界名称;]X;Z] set <biome | alias | home | floor | wall | all | air | main | middle | outline | border> <值...>`

* 生物群系
* 地皮名称
* 地皮家位置
* 地皮填充方块 - 即地皮区域内地板层下方生成的方块，在大多数地皮模板中往往是泥土.
* 地皮地板方块 - 即地皮区域表面的方块，在大多数地皮模板中往往是草方块.
* 地皮上方方块 - 即地皮区域内地板层上方的方块，往往是空气.
* 地皮内所有方块
* 地皮边界内部的方块
* 地皮边界的方块 - 即墙.
* 地皮边界外部的方块
* 地皮中央位置的方块

## 二、指令 <a href="#component_commands" id="component_commands"></a>

### /plot set biome <a href="#plot_set_biome" id="plot_set_biome"></a>

是指令 `/plot setbiome` 的变样，其权限节点为 `plots.set.biome`.

### /plot set alias <a href="#plot_set_alias" id="plot_set_alias"></a>

是指令 `/plot setalias` 的变样，其权限节点为 `plots.alias`. 在指令 `/plot visit` 中 `/plot visit <地皮名称>` 以指定传送到您的地皮.

### /plot set home <a href="#plot_set_home" id="plot_set_home"></a>

是指令 `/plot sethome` 的变样，其权限节点为 `plots.set.home`.

如果后面没有给予其他的输入内容，那么将视为将脚下位置设置为您的地皮的家位置. 要移除当前地皮的家的位置，请输入指令 `/plot sethome unset/reset/remove/none`.

### /plot set <参数> <a href="#plot_set_component" id="plot_set_component"></a>

更改地皮的实际参数. 有如下参数:

* `main`: 地皮区域内地板层下方生成的方块，在大多数地皮模板中往往是泥土.
* `floor`: 地皮区域表面的方块，在大多数地皮模板中往往是草方块.
* `air`: 地皮区域内地板层上方的方块，往往是空气.
* `all`: 地皮内所有方块.
* `wall`: 地皮边界内部的方块.
* `border`: 地皮边界的方块
* `outline`: 地皮边界外部的方块.
* `middle`: 地皮中央位置的方块.

每个参数设置时都要自己的权限节点，为 `plots.set.<参数>`.

参数的设置不拘泥于原版的物品id，你还可以使用 [Buck Buckets](/plotsquared-wiki/bu-chong/buck-buckets-ge-shi.md) 格式实现更加丰富的效果.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/plotsquared-wiki/gao-ji/di-pi-can-shu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
